comment "firesupport_init.sqf
	 Setup global variables for PlannedAssault firesupport control system.
	 use: [] call firesupport_init.sqf
	 William van der Sterren, 2009
	";
private ["_script"];
_script = "firesupport_init.sqf";

if ( isnil("PLAN_firesupport_areas") ) then
{
	PLAN_firesupport_debug             = 0;
	PLAN_firesupport_response_delay    = 3;
	PLAN_firesupport_mission_spacing   = 120;
	PLAN_firesupport_areas             = [ ["WEST",[]], ["EAST",[]] ];
	PLAN_firesupport_assets            = [];
	PLAN_firesupport_requests          = [];

	if (PLAN_firesupport_debug == 1) then {player sidechat (format["[] exec '%1' - init'd globals", _script]);};
};

if (PLAN_firesupport_debug == 1) then {player sidechat (format["[] exec '%1' - exit", _script]);};

true