comment "firesupport_request_support.sqf
	 Removes the first (oldest) request from the area data (but leaves the global request).
	 use: ['WEST', 'AMY'] call firesupport_pop_request.sqf
	 William van der Sterren, 2009
	";
private ["_script", "_side", "_area", "_sideix", "_areaix", "_side_data", "_side_areas", "_a", "_requestix", "_findAreaFn"];
_script   = "firesupport_pop_request.sqf";
_side     = _this select 0;
_area     = _this select 1;

if (PLAN_firesupport_debug == 1) then {player sidechat (format["[%2, %3] exec '%1' - enter", _script, _side, _area]);};

_findAreaFn = compile loadfile "planned_assault\firesupport\firesupport_find_area.sqf";
_a          = [_side, _area] call _findAreaFn;
_sideix     = _a select 0;
_areaix     = _a select 1;
_side_data  = PLAN_firesupport_areas select _sideix;
_side_areas = _side_data select 1;
_areadata   = _side_areas select _areaix;

_requestix    = (_areadata select 2) select 0;

_areadata set [2, (_areadata select 2) - [_requestix]];
_side_areas set [_areaix, _areadata];
_side_data  set [1, _side_areas];
PLAN_firesupport_areas set [_sideix, _side_data];

if (PLAN_firesupport_debug == 1) then {player sidechat (format["[...] exec '%1' - updated to '%2'", _script, PLAN_firesupport_areas]);};

comment "return the popped request";
PLAN_firesupport_requests select _requestix