comment "group_vehicles.sqf
	 Returns an array containing the (alive) vehicles for a group.
	 use: indices = ['groupname'] call group_vehicles.sqf
	 William van der Sterren, 2009
	";
private ["_script", "_debug", "_group", "_vehicles"];
_script = "group_vehicles.sqf";
_group  = _this select 0;
_debug  = 0;

_vehicles = [];
{
	_vehicle = vehicle _x;
	if ((_vehicle != _x) && (_x == driver (_vehicle))) then
	{
		_vehicles = _vehicles + [_vehicle];
	};
} forEach units _group;


if (_debug == 1) then {player sidechat (format["[%2] exec '%1' = %3", _script, _group, _vehicles]);};
_vehicles