comment "tasksupport_set_current_task.sqf
	 Given the task name, makes corresponding task current for the unit and shows a hint to the unit.
	 use: [group, 'taskname'] call tasksupport_set_current_task.sqf
     ex: [grpDelta, 'wait_for_attack_start'] call _tskdecl; 
	 William van der Sterren, 2009
	";
private ["_script", "_group", "_taskname", "_u", "_taskinfo", "_a", "_ix", "_tasks"];
_script   = "tasksupport_set_current_task.sqf";
_group    = _this select 0;
_taskname = _this select 1;

if (PLAN_tasksupport_debug == 1) then {player sidechat (format["[%2, %3] exec '%1' - enter", _group, _taskname]);};

_findGroupTasksFn = compile loadfile "planned_assault\tasksupport\tasksupport_find_group_tasks.sqf";
_a                = [_group] call _findGroupTasksFn;
_tasks            = _a select 1;
_taskinfo         = [];
{
    if ( (_x select 0) == _taskname ) then { _taskinfo = _x select 1; };
} forEach _tasks;

comment "show player a hint";
if ( (group player) == _group ) then
{
	hint (_taskinfo select 1);
};

true