comment "control simulation speed";
setAccTime 1.0;
comment "default view distance as defined by mission";
setViewDistance 1000.0;

comment "global variables and additional logic for objective WEST Clear Flank Amy";
obj_0_ClearFlank_Amy = false;
obj_0_Amy_seized_by_WEST = false;

comment "global variables and additional logic for objective EAST Hold Aardvark";
obj_1_Hold_Aardvark = false;
obj_1_Aardvark_conquered_by_WEST = false;
obj_1_Aardvark_held_by_EAST = false;
obj_1_Aardvark_held_by_EAST_until_mission_end = false;

comment "process dynamic requests for fire support";
["EAST", "AARDVARK"] execVM "planned_assault\firesupport\firesupport_manage_area.sqf";

comment "task declarations and initial tasks";
_tskdecl = compile loadfile "planned_assault\tasksupport\tasksupport_declare_task.sqf";
_tskinit = compile loadfile "planned_assault\tasksupport\tasksupport_init.sqf";
_tskupd = compile loadfile "planned_assault\tasksupport\tasksupport_update_task.sqf";
_tskcur = compile loadfile "planned_assault\tasksupport\tasksupport_set_current_task.sqf";
[] call _tskinit;
[grpBravo, "tsk_Regroup_003", ["Regroup", "Regroup and re-organize near the designate location. #3", [4312.5, 5762.5, 166.3]]] call _tskdecl;
[grpBravo, "tsk_Attack_002", ["Attack", "Attack in coordination with the other units, along the path indicated by waypoints, towards the designated location.. #2", [4387.5, 5762.5, 166.2]]] call _tskdecl;
[grpBravo, "tsk_Attack_001", ["Attack", "Attack in coordination with the other units, along the path indicated by waypoints, towards the designated location.. #1", [4387.5, 5787.5, 167.2]]] call _tskdecl;
[grpBravo, "tsk_Form_up_and_wait_for_attack_to_start_000", ["Form up and wait for attack to start", "Form up at the designed location, keep low and wait for the signal to start the attack. #0", [4462.5, 6487.5, 153.6]]] call _tskdecl;
[grpGolf, "tsk_Regroup_005", ["Regroup", "Regroup and re-organize near the designate location. #5", [4562.5, 5762.5, 170.6]]] call _tskdecl;
[grpGolf, "tsk_Provide_Air_Defense_004", ["Provide Air Defense", "Move to the designated position and provide air defense. #4", [4887.5, 6362.5, 160.3]]] call _tskdecl;
[grpDelta, "tsk_Return_to_station_008", ["Return to station", "Return to station, and await further CAS missions. #8", [5112.5, 9462.5, -27.7]]] call _tskdecl;
[grpDelta, "tsk_Provide_Close_Air_Support_007", ["Provide Close-Air-Support", "Move towards the designated position and engage hostiles as requested by ground forces. #7", [4381.2, 5605.8, 0.0]]] call _tskdecl;
[grpDelta, "tsk_Be_stand_by_to_perform_CAS_missions_006", ["Be stand-by to perform CAS missions", "Move to the wait area, and remain on-station for CAS requests. #6", [5112.5, 9462.5, -27.7]]] call _tskdecl;
[grpDelta, "tsk_Be_stand_by_to_perform_CAS_missions_006"]  call _tskcur;
[grpHotel, "tsk_Regroup_012", ["Regroup", "Regroup and re-organize near the designate location. #12", [4562.5, 5762.5, 170.6]]] call _tskdecl;
[grpHotel, "tsk_Attack_011", ["Attack", "Attack in coordination with the other units, along the path indicated by waypoints, towards the designated location.. #11", [4562.5, 5762.5, 170.6]]] call _tskdecl;
[grpHotel, "tsk_Attack_010", ["Attack", "Attack in coordination with the other units, along the path indicated by waypoints, towards the designated location.. #10", [4587.5, 5787.5, 171.2]]] call _tskdecl;
[grpHotel, "tsk_Form_up_and_wait_for_attack_to_start_009", ["Form up and wait for attack to start", "Form up at the designed location, keep low and wait for the signal to start the attack. #9", [4962.5, 6287.5, 159.2]]] call _tskdecl;
[grpEcho, "tsk_Regroup_016", ["Regroup", "Regroup and re-organize near the designate location. #16", [4312.5, 5762.5, 166.3]]] call _tskdecl;
[grpEcho, "tsk_Attack_015", ["Attack", "Attack in coordination with the other units, along the path indicated by waypoints, towards the designated location.. #15", [4312.5, 5762.5, 166.3]]] call _tskdecl;
[grpEcho, "tsk_Attack_014", ["Attack", "Attack in coordination with the other units, along the path indicated by waypoints, towards the designated location.. #14", [4337.5, 5787.5, 166.7]]] call _tskdecl;
[grpEcho, "tsk_Form_up_and_wait_for_attack_to_start_013", ["Form up and wait for attack to start", "Form up at the designed location, keep low and wait for the signal to start the attack. #13", [4412.5, 6462.5, 151.2]]] call _tskdecl;
[grpAlpha, "tsk_Regroup_020", ["Regroup", "Regroup and re-organize near the designate location. #20", [4312.5, 5762.5, 166.3]]] call _tskdecl;
[grpAlpha, "tsk_Attack_019", ["Attack", "Attack in coordination with the other units, along the path indicated by waypoints, towards the designated location.. #19", [4262.5, 5787.5, 165.4]]] call _tskdecl;
[grpAlpha, "tsk_Attack_018", ["Attack", "Attack in coordination with the other units, along the path indicated by waypoints, towards the designated location.. #18", [4262.5, 5812.5, 164.3]]] call _tskdecl;
[grpAlpha, "tsk_Form_up_and_wait_for_attack_to_start_017", ["Form up and wait for attack to start", "Form up at the designed location, keep low and wait for the signal to start the attack. #17", [4387.5, 6462.5, 149.0]]] call _tskdecl;
[grpCharlie, "tsk_Regroup_024", ["Regroup", "Regroup and re-organize near the designate location. #24", [4312.5, 5762.5, 166.3]]] call _tskdecl;
[grpCharlie, "tsk_Attack_023", ["Attack", "Attack in coordination with the other units, along the path indicated by waypoints, towards the designated location.. #23", [4212.5, 5787.5, 160.3]]] call _tskdecl;
[grpCharlie, "tsk_Attack_022", ["Attack", "Attack in coordination with the other units, along the path indicated by waypoints, towards the designated location.. #22", [4212.5, 5812.5, 160.0]]] call _tskdecl;
[grpCharlie, "tsk_Form_up_and_wait_for_attack_to_start_021", ["Form up and wait for attack to start", "Form up at the designed location, keep low and wait for the signal to start the attack. #21", [4387.5, 6462.5, 149.0]]] call _tskdecl;
[grpFoxtrot, "tsk_Regroup_028", ["Regroup", "Regroup and re-organize near the designate location. #28", [4562.5, 5762.5, 170.6]]] call _tskdecl;
[grpFoxtrot, "tsk_Attack_027", ["Attack", "Attack in coordination with the other units, along the path indicated by waypoints, towards the designated location.. #27", [4412.5, 5762.5, 166.6]]] call _tskdecl;
[grpFoxtrot, "tsk_Attack_026", ["Attack", "Attack in coordination with the other units, along the path indicated by waypoints, towards the designated location.. #26", [4412.5, 5787.5, 168.6]]] call _tskdecl;
[grpFoxtrot, "tsk_Form_up_and_wait_for_attack_to_start_025", ["Form up and wait for attack to start", "Form up at the designed location, keep low and wait for the signal to start the attack. #25", [4912.5, 6262.5, 164.5]]] call _tskdecl;
[grpBoris, "tsk_Defend_sector_029", ["Defend sector", "Defend, starting in this sector near the designated location. #29", [4322.9, 5483.8, 0.0]]] call _tskdecl;
[grpFedor, "tsk_Defend_sector_030", ["Defend sector", "Defend, starting in this sector near the designated location. #30", [4322.9, 5554.6, 0.0]]] call _tskdecl;
[grpAndrei, "tsk_Defend_sector_031", ["Defend sector", "Defend, starting in this sector near the designated location. #31", [4252.1, 5554.6, 0.0]]] call _tskdecl;
[grpEvgeni, "tsk_Defend_sector_032", ["Defend sector", "Defend, starting in this sector near the designated location. #32", [4252.1, 5483.8, 0.0]]] call _tskdecl;