comment "firesupport_create_area.sqf
	 Setup data for firesupport control for a given area and side.
	 use: ['WEST', 'AMY'] call firesupport_create_area.sqf
	 William van der Sterren, 2009
	";
private ["_script", "_side", "_area", "_sideix", "_areaix", "_side_areas", "_a", "_findAreaFn"];
_script = "firesupport_create_area.sqf";
_side   = _this select 0;
_area   = _this select 1;

if (PLAN_firesupport_debug == 1) then {player sidechat (format["[%2, %3] exec '%1' - enter", _script, _side, _area]);};

_findAreaFn = compile loadfile "planned_assault\firesupport\firesupport_find_area.sqf";
_a          = [_side, _area] call _findAreaFn;
_sideix     = _a select 0;
_areaix     = _a select 1;

if ( _areaix < 0) then 
{
	comment "add area data entry";
	_side_areas = (PLAN_firesupport_areas select _sideix) select 1;
	PLAN_firesupport_areas set [_sideix, [_side, _side_areas + [[_area, [], [], 0.0]]] ];
	if (PLAN_firesupport_debug == 1) then {player sidechat (format["[%2, %3] exec '%1' - adding '%3': '%4'", _script, _side, _area, PLAN_firesupport_areas]);};
};

if (PLAN_firesupport_debug == 1) then {player sidechat (format["[%2, %3] exec '%1' - exit", _script, _side, _area]);};

true