comment "firesupport_pop_asset.sqf
	 Removes the first (oldest) asset from the area data (but leaves the global asset).
	 use: ['WEST', 'AMY', time] call firesupport_pop_asset.sqf
	 William van der Sterren, 2009
	";
private ["_script", "_side", "_area", "_sideix", "_areaix", "_side_data", "_side_areas", "_a", "_findAreaFn", "_time"];
_script = "firesupport_pop_asset.sqf";
_side   = _this select 0;
_area   = _this select 1;
_time   = _this select 2;

if (PLAN_firesupport_debug == 1) then {player sidechat (format["[%2, %3, %4] exec '%1' - enter", _script, _side, _area, _time]);};

_findAreaFn = compile loadfile "planned_assault\firesupport\firesupport_find_area.sqf";
_a          = [_side, _area] call _findAreaFn;
_sideix     = _a select 0;
_areaix     = _a select 1;
_side_data  = PLAN_firesupport_areas select _sideix;
_side_areas = _side_data select 1;
_areadata   = _side_areas select _areaix;

_assetix    = (_areadata select 1) select 0;

_areadata set [1, (_areadata select 1) - [_assetix]];
_areadata set [3, _time];
_side_areas set [_areaix, _areadata];
_side_data  set [1, _side_areas];
PLAN_firesupport_areas set [_sideix, _side_data];

if (PLAN_firesupport_debug == 1) then {player sidechat (format["[...] exec '%1' - updated to '%2'", _script, PLAN_firesupport_areas]);};

comment "return the popped asset";
PLAN_firesupport_assets select _assetix