comment "firesupport_register_asset.sqf
	 Adds an asset registration to the area data.
	 use: ['WEST', 'AMY', group, 'type'] call firesupport_register_asset.sqf
	 William van der Sterren, 2009
	";
private ["_script", "_side", "_area", "_group", "_type", "_sideix", "_areaix", "_side_data", "_side_areas", "_a", "_findAreaFn"];
_script = "firesupport_register_asset.sqf";
_side   = _this select 0;
_area   = _this select 1;
_group  = _this select 2;
_type   = _this select 3;

if (PLAN_firesupport_debug == 1) then {player sidechat (format["[%2, %3, %4, %5] exec '%1' - enter", _script, _side, _area, _group, _type]);};

_findAreaFn = compile loadfile "planned_assault\firesupport\firesupport_find_area.sqf";
_a          = [_side, _area] call _findAreaFn;
_sideix     = _a select 0;
_areaix     = _a select 1;
_side_data  = PLAN_firesupport_areas select _sideix;
_side_areas = _side_data select 1;
_areadata   = _side_areas select _areaix;
if (PLAN_firesupport_debug == 1) then {player sidechat (format["[%2, %3, %4, %5] exec '%1' - areadata = '%6'", _script, _side, _area, _group, _type, _areadata]);};

_assetix    = count PLAN_firesupport_assets;
PLAN_firesupport_assets = PLAN_firesupport_assets + [[_area, _group, _type]];

_areadata set [1, (_areadata select 1) + [_assetix]];
_side_areas set [_areaix, _areadata];
_side_data  set [1, _side_areas];
PLAN_firesupport_areas set [_sideix, _side_data];

if (PLAN_firesupport_debug == 1) then {player sidechat (format["[...] exec '%1' - updated to '%2'", _script, PLAN_firesupport_areas]);};

if (PLAN_firesupport_debug == 1) then {player sidechat (format["[%2, %3, %4, %5] exec '%1' - exit", _script, _side, _area, _group, _type]);};

true