comment "firesupport_request_support.sqf
	 Adds an support request to the area data.
	 use: ['WEST', 'AMY', location] call firesupport_request_support.sqf
	 William van der Sterren, 2009
	";
private ["_script", "_side", "_area", "_location", "_sideix", "_areaix", "_side_data", "_side_areas", "_a", "_requestix", "_findAreaFn"];
_script   = "firesupport_request_support.sqf";
_side     = _this select 0;
_area     = _this select 1;
_location = _this select 2;

if (PLAN_firesupport_debug == 1) then {player sidechat (format["[%2, %3, %4] exec '%1' - enter", _script, _side, _area, _location]);};

_findAreaFn = compile loadfile "planned_assault\firesupport\firesupport_find_area.sqf";
_a          = [_side, _area] call _findAreaFn;
_sideix     = _a select 0;
_areaix     = _a select 1;
_side_data  = PLAN_firesupport_areas select _sideix;
_side_areas = _side_data select 1;
_areadata   = _side_areas select _areaix;
if (PLAN_firesupport_debug == 1) then {player sidechat (format["[%2, %3, %4] exec '%1' - areadata = '%5'", _script, _side, _area, _location, _areadata]);};

_requestix    = count PLAN_firesupport_requests;
PLAN_firesupport_requests = PLAN_firesupport_requests + [[_area, _location]];

_areadata set [2, (_areadata select 2) + [_requestix]];
_side_areas set [_areaix, _areadata];
_side_data  set [1, _side_areas];
PLAN_firesupport_areas set [_sideix, _side_data];

if (PLAN_firesupport_debug == 1) then {player sidechat (format["[...] exec '%1' - updated to '%2'", _script, PLAN_firesupport_areas]);};

if (PLAN_firesupport_debug == 1) then {player sidechat (format["[%2, %3, %4] exec '%1' - exit", _script, _side, _area, _location]);};

true