comment "tasksupport_init.sqf
	 Setup global variables for PlannedAssault tasksupport control system.
     The tasksupport system simplifies informing the player(s) about tasks 
     while only using a single (unique) task name in calls from waypoints
     being activated.
	 use: [] call tasksupport_init.sqf
	 William van der Sterren, 2009
	";
private ["_script"];
_script = "tasksupport_init.sqf";

if ( isnil("PLAN_tasksupport_tasks") ) then
{
	PLAN_tasksupport_tasks = [];
    PLAN_tasksupport_debug = 0;

	if (PLAN_tasksupport_debug == 1) then {player sidechat (format["[] exec '%1' - init'd globals", _script]);};
};

if (PLAN_tasksupport_debug == 1) then {player sidechat (format["[] exec '%1' - exit", _script]);};

true